export class AbstractSocketPage {
    constructor(page) {
        this.roomPage = '';
        this.roomPage = page;
    }
    setSocketIo(io) {
        AbstractSocketPage.io = io;
    }
    getSocketIo() {
        return AbstractSocketPage.io;
    }
    bindEvents(socket) {
        return socket;
    }
    join(socket, roomName = this.roomPage) {
        socket.join(roomName);
    }
    getRoom(roomName) {
        return this.getSocketIo().to(roomName);
    }
    $emit(context, eventName, params) {
        this.getRoom(context).emit(eventName, params);
    }
    emit(eventName, params) {
        this.getRoom(this.roomPage).emit(eventName, params);
    }
}
